if(typeof(QWMaps)=='undefined'){
  QWMaps = {data:{},maps:{}};
  //Standard logging function
  QWMaps.log = function(s){
    if(typeof(window)!='undefined')if(typeof(window.console)!='undefined')if(typeof(window.console.log)!='undefined')window.console.log(s);
  }
  QWMaps.onload = {};
  {
    QWMaps.onload.functions = new Array();
    QWMaps.onload.loaded =false;
    QWMaps.onload.add = function(f){
      if(typeof(f)=='function'){
        if(QWMaps.onload.loaded){
          f();
        }else{
          QWMaps.onload.functions.push(f);
        }
      }
    }
    QWMaps.onload.run = function(e){
      QWMaps.onload.loaded = true;
      for(var i =0,l=QWMaps.onload.functions.length;i<l;i++){
        try{
          QWMaps.onload.functions[i](e);
        }catch(e){
          QWMaps.log(e);
        }
      }
    }
    QWMaps.onload.init = function(){
      if(typeof(window.addEventListener)!='undefined'){
        window.addEventListener('load',QWMaps.onload.run,false);
      }else if(typeof(document.addEventListener) != 'undefined'){
        document.addEventListener('load',QWMaps.onload.run,false);
      }else if(typeof(window.attachEvent)!='undefined'){
        window.attachEvent('onload',QWMaps.onload.run);
      }else{
        var oldfunct = window.onload;
        if(typeof(window.onload)!='function') window.onload = QWMaps.onload.run;
        else window.onload = function(event){ oldfunct(); QWMaps.onload.run(event); };
      }
    }
    QWMaps.onload.init();
  }
  QWMaps.addedStyleSheets = new Array();
  QWMaps.insert_style_sheet = function(cssSheet,content_doc) 
  {
    if(!cssSheet){ return false;}
    if(QWMaps.addedStyleSheets.indexOf(cssSheet)>=0){ return false; }
    if(!content_doc)content_doc = document;
    var head_array = content_doc.getElementsByTagName("head");
    if (head_array && head_array[0]) var head = head_array[0];
    else{
       var body_array = content_doc.getElementsByTagName("body");
       if ((! body_array) || (! body_array[0])){ return;}
       var body = body_array[0];
       var head = null;
    }
    var links = content_doc.getElementsByTagName('link');
    for(var i =0,l=links.length*1;i<l;i++){
      if(links[i].href == cssSheet){
        return false;//already loaded
      }
    }
    var url = cssSheet;
    var css_node = content_doc.createElement('link');
    css_node.type = 'text/css';
    css_node.rel = 'stylesheet';
    css_node.href = url;
    css_node.media = 'screen';
    css_node.setAttribute('wsd','notes');
    if (head) head.appendChild(css_node);
    else if (body.firstChild) body.insertBefore(css_node,body.firstChild);
    else body.appendChild(css_node);
    QWMaps.addedStyleSheets.push(cssSheet);
    return true;
  }
  QWMaps.addedScriptTags = new Array();
  QWMaps.addScriptTag = function(src,loadFunction){
    var scripts = document.getElementsByTagName('script');
    for(var i=0,l=scripts.length*1;i<l;i++){
      if(scripts[i].src == src) return false;//already loaded
    }
    if(QWMaps.addedScriptTags.indexOf(src)>=0) return false;
    var script = document.createElement('script');
    script.type = "text/javascript";
    script.src = src;
    if(typeof(loadFunction)=='function'){
      Catalog.addEvent(script,'load',loadFunction,true)
    }
    document.getElementsByTagName('head')[0].appendChild(script);
    QWMaps.addedScriptTags.push(src);
  }
  //dynamically add css
  QWMaps.insert_style_sheet('/editor-support/plugins/google_maps/mapsLive.css');
  QWMaps.allScriptsLoaded = false;
  QWMaps.firstLoad = function(){
    if(typeof(jQuery)!='function'){
      //QWMaps.log('no jquery');
      QWMaps.addScriptTag('//ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');
      setTimeout(QWMaps.firstLoad,10);return;
    }
    if(typeof(jQuery.ui)=='undefined'){
      //QWMaps.log('no jquery ui');
      QWMaps.addScriptTag('/editor-support/plugins/common/jquery-ui-1.8.23.custom.min.js');
      setTimeout(QWMaps.firstLoad,10);return;
    }
    if(typeof(DivDialogs)!='function'){
      //QWMaps.log('no divdialogs');
      QWMaps.addScriptTag('/editor-support/plugins/common/div_dialogsv3.js');
      QWMaps.insert_style_sheet('/editor-support/plugins/common/divDialogs.css');
      setTimeout(QWMaps.firstLoad,10);return;
    }/* 
    if(typeof(google)=='undefined'){
      //QWMaps.log('no google');
      document.write('<script type="text/javascript" src="//maps.google.com/maps/api/js?sensor=true"></script>');
      //QWMaps.addScriptTag('//maps.google.com/maps/api/js?sensor=true');
      setTimeout(QWMaps.firstLoad,10);return;
    } */
    if(typeof(GoogleMap)!='function'){
      //QWMaps.log('no googlemap widget');
      QWMaps.addScriptTag('/editor-support/plugins/google_maps/googlemapsv1.js?v=1527877339');
      setTimeout(QWMaps.firstLoad,10);return;
    }
    QWMaps.allScriptsLoaded = true;
  }
  QWMaps.onload.add(QWMaps.firstLoad);
  QWMaps.addMap = function(mapId){
    if(!QWMaps.allScriptsLoaded){
      setTimeout(function(){QWMaps.addMap(mapId)},10);//wait
      return;
    }
    //QWMaps.log(mapId);
    QWMaps.maps[mapId] = GoogleMap(QWMaps.data[mapId]);
    //QWMaps.log(QWMaps.maps[mapId].id);
  }
}
var mapSupportUrl = '';
QWMaps.data['map2'] = {
            id: 'map2',
            mapDraggable: 'false',
            width: "300",
            height: "300",
            width_type: "1",
            height_type: "1",
            currentLocation: '0',
            markerClickable: 'true',
            markerDraggable: 'false',
            displaySingle: 'true',
            mapCenter: 'false',
            mapCenterLocation: {
              lat: "39.757299",
              lon: "-104.741367"
            },
            disableDoubleClickZoom:'true',
            largeMapControl3d:'false',
            smallZoomControl3d:'false',
            scaleControl:'false',
            mapTypeControl:'false',
            defaultMapType: 'roadmap',            menuMapTypeControl:'false',
            initialZoom: 17,
            imagePath: "/editor-support/plugins/google_maps/images/map/",
            locations: {
              0: {
                id: 0,
                name: "Advanced Circuits Headquarters",
                address: "21101 E. 32nd Parkway, Aurora, CO 80011",
                display_address: "21101 East 32nd Parkway",
                display_address2: "",
                display_city: "Aurora",
                display_state: "CO",
                display_zip: "80011",
                display_phone: "1-800-979-4722<br>(303) 576-6610",
                display_fax: "1-888-224-3291",
                display_country: "USA",
                overrideLatLon: "true",
                enableStreetView: "true",
                enableDirections: "true",
                heading: "0",
                zoom: "1",
                pitch: "0",
                iconImage: "4pcb",
                anchorX: "18",
                anchorY: "18",
                originX: "0",
                originY: "0",
                width: "41",
                height: "26",
                svLat: "39.75726495800891",
                svLon: "-104.7413912549685",
                lat: "39.757299",
                lon: "-104.741367"
              }
            },
            noInitialMarker: true          };
QWMaps.maps['map2']=false;
QWMaps.onload.add(function(){
//QWMaps.log('map2 loading');
      QWMaps.addMap('map2');
    });